$(function(){
var chart = $("#chart").dxChart({
dataSource: dataSource,
series: {
type: "bar",
valueField: "mass",
argumentField: "name"
},
valueAxis: {
visible: true,
autoBreaksEnabled: true,
maxAutoBreakCount: breaksCount[2],
breakStyle: {
line: lineStyles[0]
}
},
title: "Relative Masses of the Heaviest\n Solar System Objects",
legend: {
visible: false
},
tooltip: {
enabled: true
}
}).dxChart("instance");
$("#breaks").dxCheckBox({
text: "Enable Breaks",
value: true,
onValueChanged: function(data) {
chart.option("valueAxis.autoBreaksEnabled", data.value);
}
});
$("#max-count").dxSelectBox({
items: breaksCount,
value: breaksCount[2],
width: 60,
onValueChanged: function(data) {
chart.option("valueAxis.maxAutoBreakCount", data.value);
}
});
$("#line-style").dxSelectBox({
items: lineStyles,
value: lineStyles[0],
width: 120,
onValueChanged: function(data) {
chart.option("valueAxis.breakStyle.line", data.value);
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<div id="breaks" class="checkbox"></div>
</div>
<div class="option center">
<span>Max Count</span>
<div id="max-count"></div>
</div>
<div class="option right">
<span>Style</span>
<div id="line-style"></div>
</div>
</div>
</div>
</body>
</html>
#chart {
height: 440px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
display: inline-block;
margin-right: 70px;
margin-top: 5px;
}
.option > span {
margin: 0 10px 0 0;
}
.checkbox{
margin-top: -4px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
var dataSource = [{
name: "Jupiter",
mass: 318,
}, {
name: "Saturn",
mass: 95,
}, {
name: "Uranus",
mass: 14.6,
}, {
name: "Neptune",
mass: 17.2,
}, {
name: "Earth",
mass: 1,
}, {
name: "Venus",
mass: 0.82,
}, {
name: "Mars",
mass: 0.11,
}, {
name: "Mercury",
mass: 0.06,
}];
var lineStyles = ["waved", "straight"];
var breaksCount = [1, 2, 3, 4];

import React from 'react';
import Chart, {
Legend,
Series,
Tooltip,
ValueAxis
} from 'devextreme-react/chart';
import SelectBox from 'devextreme-react/select-box';
import CheckBox from 'devextreme-react/check-box';
import { dataSource } from './data.js';
const lineStyles = ['waved', 'straight'];
const breaksCount = [1, 2, 3, 4];
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
autoBreaksEnabledValue: true,
breaksCountValue: 3,
lineStyleValue: lineStyles[0]
};
this.changeBreaksCount = (e) => {
this.setState({
breaksCountValue: e.value
});
};
this.changeStyle = (e) => {
this.setState({
lineStyleValue: e.value
});
};
this.changeBreaksEnabledState = (e) => {
this.setState({
autoBreaksEnabledValue: e.value
});
};
}
render() {
return (
<div>
<Chart
id="chart"
title={'Relative Masses of the Heaviest\n Solar System Objects'}
dataSource={dataSource}>
<Series
valueField="mass"
argumentField="name"
type="bar" />
<ValueAxis
visible={true}
autoBreaksEnabled={this.state.autoBreaksEnabledValue}
maxAutoBreakCount={this.state.breaksCountValue}
breakStyle={{ line: this.state.lineStyleValue }} />
<Legend visible={false} />
<Tooltip enabled={true} />
</Chart>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<CheckBox className="checkbox"
text="Enable Breaks"
onValueChanged={this.changeBreaksEnabledState}
value={this.state.autoBreaksEnabledValue}>
</CheckBox>
</div>
<div className="option center">
<span>Max Count </span>
<SelectBox
items={breaksCount}
value={this.state.breaksCountValue}
onValueChanged={this.changeBreaksCount}
width={60}>
</SelectBox>
</div>
<div className="option right">
<span>Style </span>
<SelectBox
items={lineStyles}
value={this.state.lineStyleValue}
onValueChanged={this.changeStyle}
width={120}>
</SelectBox>
</div>
</div>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
display: inline-block;
margin-right: 70px;
margin-top: 5px;
}
.option > span {
margin: 0 10px 0 0;
}
.checkbox{
margin-top: -4px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
export const dataSource = [{
name: 'Jupiter',
mass: 318,
}, {
name: 'Saturn',
mass: 95,
}, {
name: 'Uranus',
mass: 14.6,
}, {
name: 'Neptune',
mass: 17.2,
}, {
name: 'Earth',
mass: 1,
}, {
name: 'Venus',
mass: 0.82,
}, {
name: 'Mars',
mass: 0.11,
}, {
name: 'Mercury',
mass: 0.06,
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'devextreme-react': 'npm:devextreme-react@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});

<dx-chart
id="chart"
[title]="title"
[dataSource]="data">
<dxi-series
valueField="mass"
argumentField="name"
type="bar">
</dxi-series>
<dxi-value-axis
[visible]="true"
[autoBreaksEnabled]="autoBreaksEnabledValue"
[maxAutoBreakCount]="breaksCountValue">
<dxo-break-style
[line]="lineStyleValue">
</dxo-break-style>
</dxi-value-axis>
<dxo-legend [visible]="false">
</dxo-legend>
<dxo-tooltip [enabled]="true">
</dxo-tooltip>
</dx-chart>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<dx-check-box class="checkbox"
text="Enable Breaks"
[(value)]="autoBreaksEnabledValue">
</dx-check-box>
</div>
<div class="option center">
<span>Max Count</span>
<dx-select-box
[items]="breaksCount"
[(value)]="breaksCountValue"
[width]="60">
</dx-select-box>
</div>
<div class="option right">
<span>Style</span>
<dx-select-box
[items]="lineStyles"
[(value)]="lineStyleValue"
[width]="120">
</dx-select-box>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule, DxCheckBoxModule, DxSelectBoxModule } from 'devextreme-angular';
import { SolarSystemObject, Service } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
preserveWhitespaces: true
})
export class AppComponent {
data: SolarSystemObject[];
lineStyles: Array<string> = ["waved", "straight"];
breaksCount: Array<number> = [1, 2, 3, 4];
lineStyleValue: string;
autoBreaksEnabledValue: boolean = true;
breaksCountValue: number;
title: string = "Relative Masses of the Heaviest\n Solar System Objects";
constructor(service: Service) {
this.data = service.getData();
this.lineStyleValue = this.lineStyles[0];
this.breaksCountValue = this.breaksCount[2];
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
DxCheckBoxModule,
DxSelectBoxModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart {
height: 440px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
display: inline-block;
margin-right: 70px;
margin-top: 5px;
}
.option > span {
margin: 0 10px 0 0;
}
.checkbox{
margin-top: -4px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
import { Injectable } from '@angular/core';
export class SolarSystemObject {
name: string;
mass: number;
}
let data: SolarSystemObject[] = [{
name: "Jupiter",
mass: 318
}, {
name: "Saturn",
mass: 95
}, {
name: "Uranus",
mass: 14.6
}, {
name: "Neptune",
mass: 17.2
}, {
name: "Earth",
mass: 1
}, {
name: "Venus",
mass: 0.82
}, {
name: "Mars",
mass: 0.11
}, {
name: "Mercury",
mass: 0.06
}];
@Injectable()
export class Service {
getData(): SolarSystemObject[] {
return data;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18',
'devextreme-angular': 'npm:devextreme-angular@20.2.5',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<div>
<DxChart
id="chart"
:data-source="dataSource"
title="Relative Masses of the Heaviest\n Solar System Objects"
>
<DxSeries
value-field="mass"
argument-field="name"
type="bar"
/>
<DxValueAxis
:visible="true"
:auto-breaks-enabled="autoBreaksEnabledValue"
:max-auto-break-count="breaksCountValue"
>
<DxBreakStyle :line="lineStyleValue"/>
</DxValueAxis>
<DxLegend :visible="false"/>
<DxTooltip :enabled="true"/>
</DxChart>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<DxCheckBox
v-model:value="autoBreaksEnabledValue"
class="checkbox"
text="Enable Breaks"
/>
</div>
<div class="option center">
<span>Max Count </span>
<DxSelectBox
:items="breaksCount"
v-model:value="breaksCountValue"
:width="60"
/>
</div>
<div class="option right">
<span>Style </span>
<DxSelectBox
:items="lineStyles"
v-model:value="lineStyleValue"
:width="120"
/>
</div>
</div>
</div>
</template>
<script>
import DxChart, {
DxLegend,
DxSeries,
DxTooltip,
DxValueAxis,
DxBreakStyle
} from 'devextreme-vue/chart';
import DxSelectBox from 'devextreme-vue/select-box';
import DxCheckBox from 'devextreme-vue/check-box';
import { dataSource } from './data.js';
export default {
components: {
DxChart,
DxLegend,
DxSeries,
DxTooltip,
DxValueAxis,
DxBreakStyle,
DxSelectBox,
DxCheckBox
},
data() {
const lineStyles = ['waved', 'straight'];
return {
dataSource,
autoBreaksEnabledValue: true,
lineStyles,
breaksCount: [1, 2, 3, 4],
lineStyleValue: lineStyles[0],
breaksCountValue: 3
};
}
};
</script>
<style>
#chart {
height: 440px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
display: inline-block;
margin-right: 70px;
margin-top: 5px;
}
.option > span {
margin: 0 10px 0 0;
}
.checkbox{
margin-top: -4px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
.center, .right {
margin-left: 4px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const dataSource = [{
name: 'Jupiter',
mass: 318,
}, {
name: 'Saturn',
mass: 95,
}, {
name: 'Uranus',
mass: 14.6,
}, {
name: 'Neptune',
mass: 17.2,
}, {
name: 'Earth',
mass: 1,
}, {
name: 'Venus',
mass: 0.82,
}, {
name: 'Mars',
mass: 0.11,
}, {
name: 'Mercury',
mass: 0.06,
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'devextreme-vue': 'npm:devextreme-vue@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});